NX Open C++ Reference Guide
|
Represents a @link Features::CircularBlendCurve Features::CircularBlendCurve@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateCircularBlendCurveBuilder Features::FeatureCollection::CreateCircularBlendCurveBuilder @endlink <br>
Default values. More...
Public Types | |
enum | CylinderDirectionOption { CylinderDirectionOptionBestFit, CylinderDirectionOptionVariable, CylinderDirectionOptionVector, CylinderDirectionOptionCurrentView } |
Represents the cylinder direction options. More... | |
enum | CylinderRadiusOption { CylinderRadiusOptionPointOnFirstCurve, CylinderRadiusOptionPointOnSecondCurve, CylinderRadiusOptionValue } |
Represents the cylinder radius options. More... | |
Public Member Functions | |
bool | Associative () |
Returns whether to create the associative output or non associative output Created in NX5.0.0. | |
void | ComplementArc () |
Complements the circular blend curve Created in NX5.0.0. | |
NXOpen::GeometricUtilities::CurveFitOptions * | CurveFitMethod () |
Returns the curve fit method as GeometricUtilities::CurveFitOptions Created in NX5.0.0. | |
NXOpen::Expression * | CylinderRadius () |
Returns the cylinder radius as Expression , if Features::CircularBlendCurveBuilder::CylinderRadiusOption is Features::CircularBlendCurveBuilder::CylinderRadiusOptionValue Created in NX5.0.0. | |
NXOpen::Features::CircularBlendCurveBuilder::CylinderDirectionOption | DirectionOption () |
Returns the cylinder direction option as Features::CircularBlendCurveBuilder::CylinderDirectionOption Created in NX5.0.0. | |
double | DistanceTolerance () |
Returns the distance tolerance Created in NX5.0.0. | |
void | Evaluate () |
Evaluates the circular blend curve Created in NX5.0.0. | |
NXOpen::Section * | FirstCurve () |
Returns the first curve chain Created in NX5.0.0. | |
NXOpen::GeometricUtilities::OnPathDimensionBuilder * | PointArclength () |
Returns the location of the point on curve as arclength or arclength, if Features::CircularBlendCurveBuilder::CylinderRadiusOption is Features::CircularBlendCurveBuilder::CylinderRadiusOptionPointOnFirstCurve or CircularBlendCurveBuilder::CylinderRadiusOptionPointOnSecondCurve Features:: CircularBlendCurveBuilder::CylinderRadiusOptionPointOnSecondCurve Created in NX5.0.0. | |
NXOpen::Features::CircularBlendCurveBuilder::CylinderRadiusOption | RadiusOption () |
Returns the cylinder radius option as Features::CircularBlendCurveBuilder::CylinderRadiusOption Created in NX5.0.0. | |
NXOpen::Section * | SecondCurve () |
Returns the second curve chain Created in NX5.0.0. | |
void | SetAssociative (bool associative) |
Sets whether to create the associative output or non associative output Created in NX5.0.0. | |
void | SetDirectionOption (NXOpen::Features::CircularBlendCurveBuilder::CylinderDirectionOption directionOption) |
Sets the cylinder direction option as Features::CircularBlendCurveBuilder::CylinderDirectionOption Created in NX5.0.0. | |
void | SetDistanceTolerance (double distanceTolerance) |
Sets the distance tolerance Created in NX5.0.0. | |
void | SetRadiusOption (NXOpen::Features::CircularBlendCurveBuilder::CylinderRadiusOption radiusOption) |
Sets the cylinder radius option as Features::CircularBlendCurveBuilder::CylinderRadiusOption Created in NX5.0.0. | |
void | SetShapeControlFirstCurve (double shapeControlCurve1) |
Sets the shape control for first curve, specifies how quickly the circular blend curve deviates from the first curve. | |
void | SetShapeControlSecondCurve (double shapeControlCurve2) |
Sets the shape control for second curve, specifies how quickly the circular blend curve deviates from the second curve. | |
void | SetVector (NXOpen::Direction *vector) |
Sets the vector for cylinder direction, if Features::CircularBlendCurveBuilder::CylinderDirectionOption is Features::CircularBlendCurveBuilder::CylinderDirectionOptionVector Created in NX5.0.0. | |
double | ShapeControlFirstCurve () |
Returns the shape control for first curve, specifies how quickly the circular blend curve deviates from the first curve. | |
double | ShapeControlSecondCurve () |
Returns the shape control for second curve, specifies how quickly the circular blend curve deviates from the second curve. | |
NXOpen::Direction * | Vector () |
Returns the vector for cylinder direction, if Features::CircularBlendCurveBuilder::CylinderDirectionOption is Features::CircularBlendCurveBuilder::CylinderDirectionOptionVector Created in NX5.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::CircularBlendCurve Features::CircularBlendCurve@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateCircularBlendCurveBuilder Features::FeatureCollection::CreateCircularBlendCurveBuilder @endlink <br>
Default values.
Property | Value |
---|---|
Associative |
True |
CurveFitMethod.FitOption |
Cubic |
CurveFitMethod.MaximumDegree |
7 |
CurveFitMethod.MaximumSegments |
1 |
CylinderRadius.Value |
0.0 (millimeters part), 0.0 (inches part) |
DirectionOption |
BestFit |
PointArclength.Expression.Value |
0.0 (millimeters part), 0.0 (inches part) |
RadiusOption |
PointOnFirstCurve |
ShapeControlFirstCurve |
2.0 |
ShapeControlSecondCurve |
2.0 |
Created in NX5.0.0.
bool NXOpen::Features::CircularBlendCurveBuilder::Associative | ( | ) |
Returns whether to create the associative output or non associative output
Created in NX5.0.0.
License requirements : None
void NXOpen::Features::CircularBlendCurveBuilder::ComplementArc | ( | ) |
Complements the circular blend curve
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::GeometricUtilities::CurveFitOptions* NXOpen::Features::CircularBlendCurveBuilder::CurveFitMethod | ( | ) |
Returns the curve fit method as GeometricUtilities::CurveFitOptions
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::CircularBlendCurveBuilder::CylinderRadius | ( | ) |
Returns the cylinder radius as Expression , if Features::CircularBlendCurveBuilder::CylinderRadiusOption is Features::CircularBlendCurveBuilder::CylinderRadiusOptionValue
Created in NX5.0.0.
License requirements : None
NXOpen::Features::CircularBlendCurveBuilder::CylinderDirectionOption NXOpen::Features::CircularBlendCurveBuilder::DirectionOption | ( | ) |
Returns the cylinder direction option as Features::CircularBlendCurveBuilder::CylinderDirectionOption
Created in NX5.0.0.
License requirements : None
double NXOpen::Features::CircularBlendCurveBuilder::DistanceTolerance | ( | ) |
Returns the distance tolerance
Created in NX5.0.0.
License requirements : None
void NXOpen::Features::CircularBlendCurveBuilder::Evaluate | ( | ) |
Evaluates the circular blend curve
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::Section* NXOpen::Features::CircularBlendCurveBuilder::FirstCurve | ( | ) |
Returns the first curve chain
Created in NX5.0.0.
License requirements : None
NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Features::CircularBlendCurveBuilder::PointArclength | ( | ) |
Returns the location of the point on curve as arclength or arclength, if Features::CircularBlendCurveBuilder::CylinderRadiusOption is Features::CircularBlendCurveBuilder::CylinderRadiusOptionPointOnFirstCurve or CircularBlendCurveBuilder::CylinderRadiusOptionPointOnSecondCurve Features:: CircularBlendCurveBuilder::CylinderRadiusOptionPointOnSecondCurve
Created in NX5.0.0.
License requirements : None
NXOpen::Features::CircularBlendCurveBuilder::CylinderRadiusOption NXOpen::Features::CircularBlendCurveBuilder::RadiusOption | ( | ) |
Returns the cylinder radius option as Features::CircularBlendCurveBuilder::CylinderRadiusOption
Created in NX5.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::CircularBlendCurveBuilder::SecondCurve | ( | ) |
Returns the second curve chain
Created in NX5.0.0.
License requirements : None
void NXOpen::Features::CircularBlendCurveBuilder::SetAssociative | ( | bool | associative | ) |
Sets whether to create the associative output or non associative output
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
associative | associative |
void NXOpen::Features::CircularBlendCurveBuilder::SetDirectionOption | ( | NXOpen::Features::CircularBlendCurveBuilder::CylinderDirectionOption | directionOption | ) |
Sets the cylinder direction option as Features::CircularBlendCurveBuilder::CylinderDirectionOption
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
directionOption | directionoption |
void NXOpen::Features::CircularBlendCurveBuilder::SetDistanceTolerance | ( | double | distanceTolerance | ) |
Sets the distance tolerance
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
distanceTolerance | distancetolerance |
void NXOpen::Features::CircularBlendCurveBuilder::SetRadiusOption | ( | NXOpen::Features::CircularBlendCurveBuilder::CylinderRadiusOption | radiusOption | ) |
Sets the cylinder radius option as Features::CircularBlendCurveBuilder::CylinderRadiusOption
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
radiusOption | radiusoption |
void NXOpen::Features::CircularBlendCurveBuilder::SetShapeControlFirstCurve | ( | double | shapeControlCurve1 | ) |
Sets the shape control for first curve, specifies how quickly the circular blend curve deviates from the first curve.
The lower the number, the quicker the deviation.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
shapeControlCurve1 | shapecontrolcurve1 |
void NXOpen::Features::CircularBlendCurveBuilder::SetShapeControlSecondCurve | ( | double | shapeControlCurve2 | ) |
Sets the shape control for second curve, specifies how quickly the circular blend curve deviates from the second curve.
The lower the number, the quicker the deviation.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
shapeControlCurve2 | shapecontrolcurve2 |
void NXOpen::Features::CircularBlendCurveBuilder::SetVector | ( | NXOpen::Direction * | vector | ) |
Sets the vector for cylinder direction, if Features::CircularBlendCurveBuilder::CylinderDirectionOption is Features::CircularBlendCurveBuilder::CylinderDirectionOptionVector
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
vector | vector |
double NXOpen::Features::CircularBlendCurveBuilder::ShapeControlFirstCurve | ( | ) |
Returns the shape control for first curve, specifies how quickly the circular blend curve deviates from the first curve.
The lower the number, the quicker the deviation.
Created in NX5.0.0.
License requirements : None
double NXOpen::Features::CircularBlendCurveBuilder::ShapeControlSecondCurve | ( | ) |
Returns the shape control for second curve, specifies how quickly the circular blend curve deviates from the second curve.
The lower the number, the quicker the deviation.
Created in NX5.0.0.
License requirements : None
NXOpen::Direction* NXOpen::Features::CircularBlendCurveBuilder::Vector | ( | ) |
Returns the vector for cylinder direction, if Features::CircularBlendCurveBuilder::CylinderDirectionOption is Features::CircularBlendCurveBuilder::CylinderDirectionOptionVector
Created in NX5.0.0.
License requirements : None